## Data compression libraries test.  This file is in public domain.
## Defines:
## HAVE_LIBBZ2 when have BZ2_bzBuffToBuffDecompress() and bzlib.h
## HAVE_LIBZ when have compress2() and zlib.h
## LIBS (adds library when needed)

dnl Test for bzip2 library.
AC_DEFUN(ye_CHECK_LIBBZ2,
[yeti_save_LIBS="$LIBS"
LIBS="$LIBS -lbz2"
AC_CHECK_LIB(bz2,
  BZ2_bzBuffToBuffDecompress,
  [libbz2_ok=yes],
  [libbz2_ok=no])
if test "$libbz2_ok" = yes; then
  AC_CHECK_HEADER(bzlib.h,
    libbz2_ok=yes,
    libbz2_ok=no)
fi
if test "$libbz2_ok" = yes; then
  AC_DEFINE(HAVE_LIBBZ2,1,[Define if you have the bz2 library (-lbz2).])
else
  LIBS="$yeti_save_LIBS"
fi])

dnl Test for z library.
AC_DEFUN(ye_CHECK_LIBZ,
[yeti_save_LIBS="$LIBS"
LIBS="$LIBS -lz"
AC_CHECK_LIB(z,
  compress2,
  [libz_ok=yes],
  [libz_ok=no])
if test "$libz_ok" = yes; then
  AC_CHECK_HEADER(zlib.h,
    libz_ok=yes,
    libz_ok=no)
fi
if test "$libz_ok" = yes; then
  AC_DEFINE(HAVE_LIBZ,1,[Define if you have the z library (-lz).])
else
  LIBS="$yeti_save_LIBS"
fi])
